﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS2721B (1 yr) Input Related Spurs VER VISA /9640
INSTRUMENT:            Sub MS2721B (1 yr) HF Response VER VISA /9640
DATE:                  2009-11-17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       195
CONFIGURATION:         Fluke 9640A (XREF)
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2721B
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#        Sub MS2721B HF Response Tests VISA /9640
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SPURIOUS_RESPONSE            PSUBI("Spurs")
  1.002  JMPL         HF_RESPONSE                  PSUBI("HF Response")
  1.003  DISP         Called {Subprocedure Not Found}!
  1.004  END

  1.005  EVAL   Increment Test Number

# ====== Sub MS2721B (1 yr) Input Related Spurs VER VISA /9640 =============

  2.001  LABEL        SPURIOUS_RESPONSE

  2.002  RSLT         =
  2.003  HEAD         {INPUT RELATED SPURIOUS (IRS) SIGNALS}
  2.004  RSLT         =
  2.005  HEAD         -2 {Input: -30 dBm, 1674 MHz}; Span: 100 kHz to 1673 MHz
  2.006  TARGET       -p
  2.007  TSET         NTHROW = 0; TDESC = 100 kHz to 1673 MHz
  2.008  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  2.008  9640         +Level = -30 dBm; Freq = 1.674 GHz
  2.009  VISA         SYST:PRES
  2.010  VISA         INIT:CONT OFF
  2.011  VISA         DISP:WIND:TRAC:Y:RLEV -27;:POW:ATT 0;AUTO OFF
  2.012  VISA         DET:FUNC POS;:FREQ:CENT 1.674E+9;SPAN 2E+6
  2.013  VISA         BWID:RES 10E+3;VID 1E+3
  2.014  VISA         INIT:IMM
  2.015  CALL         Sub Anritsu MS272xB Sweep Complete
  2.016  VISA         CALC:MARK:MAX
  2.017  VISA         CALC:MARK:DELT ON
  2.018  VISA         FREQ:STAR 100E+3;STOP 1.673E+9
  2.019  TARGET       -m
  2.020  VISA         INIT:IMM
  2.021  CALL         Sub Anritsu MS272xB Sweep Complete
  2.022  VISA         CALC:MARK:MAX
  2.023  VISA         CALC:MARK:DELT:Y?[I]
  2.024  ACC          dBc            1.25U
  2.025  MEMCX        -60dBc         -67U

  3.001  HEAD         -2 Input: -30 dBm, 1674 MHz; Span: 1675 MHz to 2800 MHz
  3.002  TARGET       -p
  3.003  TSET         NTHROW = 0; TDESC = 1675 MHz to 2800 MHz
  3.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  3.004  9640         +Level = -30 dBm; Freq = 1.674 GHz
  3.005  VISA         FREQ:STAR 1.675E+9;STOP 2.8E+9
  3.006  TARGET       -m
  3.007  VISA         INIT:IMM
  3.008  CALL         Sub Anritsu MS272xB Sweep Complete
  3.009  VISA         CALC:MARK:MAX
  3.010  VISA         CALC:MARK:DELT:Y?[I]
  3.011  ACC          dBc            1.25U
  3.012  MEMCX        -60dBc         -67U

  4.001  RSLT         =
  4.002  HEAD         -2 {Input: -30 dBm, 1701 MHz}; Span: 26 MHz to 28 MHz
  4.003  TARGET       -p
  4.004  VISA         CALC:MARK:DELT OFF
  4.005  TSET         NTHROW = 0; TDESC = 26 MHz to 28 MHz
  4.006  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  4.006  9640         +Level = -30 dBm; Freq = 1.701 GHz
  4.007  VISA         FREQ:CENT 1.701E+9;:AVER:COUN 5;STAT ON
  4.008  VISA         INIT:IMM
  4.009  CALL         Sub Anritsu MS272xB Sweep Complete
  4.010  VISA         CALC:MARK:MAX
  4.011  VISA         CALC:MARK:DELT ON
  4.012  VISA         FREQ:STAR 26E+6;STOP 28E+6
  4.013  TARGET       -m
  4.014  VISA         INIT:IMM
  4.015  CALL         Sub Anritsu MS272xB Sweep Complete
  4.016  VISA         CALC:MARK:MAX
  4.017  VISA         CALC:MARK:DELT:Y?[I]
  4.018  ACC          dBc            1.25U
  4.019  MEMCX        -60dBc         -67U

  5.001  RSLT         =
  5.002  HEAD         -2 {Input: -30 dBm, 2145 MHz}; Span: 470 MHz to 472 MHz
  5.003  TARGET       -p
  5.004  VISA         CALC:MARK:DELT OFF
  5.005  TSET         TDESC = 470 MHz to 472 MHz
  5.006  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  5.006  9640         +Level = -30 dBm; Freq = 2.145 GHz
  5.007  VISA         FREQ:CENT 2.145E+9;:AVER:COUN 5;STAT ON
  5.008  VISA         INIT:IMM
  5.009  CALL         Sub Anritsu MS272xB Sweep Complete
  5.010  VISA         CALC:MARK:MAX
  5.011  VISA         CALC:MARK:DELT ON
  5.012  VISA         FREQ:STAR 470E+6;STOP 472E+6
  5.013  TARGET       -m
  5.014  VISA         INIT:IMM
  5.015  CALL         Sub Anritsu MS272xB Sweep Complete
  5.016  VISA         CALC:MARK:MAX
  5.017  VISA         CALC:MARK:DELT:Y?[I]
  5.018  ACC          dBc            1.25U
  5.019  MEMCX        -60dBc         -67U

  6.001  9640         Reset
  6.002  VISA         SYST:PRES
  6.003  HEAD
  6.004  END

  6.005  EVAL   Increment Test Number

# ====== Sub MS2721B (1 yr) HF Response VER VISA /9640 =====================

  7.001  LABEL        HF_RESPONSE

  7.002  HEAD         ABSOLUTE AMPLITUDE ACCURACY
  7.003  RSLT         =
  7.004  RSLT         =Absolute Amplitude Accuracy Across Frequency
  7.005  RSLT         =
  7.006  RSLT         =10.1 MHz
  7.007  TARGET
  7.008  VISA         SYST:PRES
  7.009  VISA         INIT:CONT OFF
  7.010  MATH         @Freq = 10.1E+6
  7.011  CALL         Sub MS2721B HF Response Tests VISA /9640

  7.012  RSLT         =
  7.013  RSLT         =50 MHz
  7.014  MATH         @Freq = 50E+6
  7.015  CALL         Sub MS2721B HF Response Tests VISA /9640

  7.016  RSLT         =
  7.017  RSLT         =100 MHz
  7.018  MATH         @Freq = 100E+6
  7.019  CALL         Sub MS2721B HF Response Tests VISA /9640

  7.020  RSLT         =
  7.021  RSLT         =500 MHz
  7.022  MATH         @Freq = 500E+6
  7.023  CALL         Sub MS2721B HF Response Tests VISA /9640

  7.024  RSLT         =
  7.025  RSLT         =1 GHz
  7.026  MATH         @Freq = 1E+9
  7.027  CALL         Sub MS2721B HF Response Tests VISA /9640

  7.028  RSLT         =
  7.029  RSLT         =2 GHz
  7.030  MATH         @Freq = 2E+9
  7.031  CALL         Sub MS2721B HF Response Tests VISA /9640

  7.032  RSLT         =
  7.033  RSLT         =3 GHz
  7.034  MATH         @Freq = 3E+9
  7.035  CALL         Sub MS2721B HF Response Tests VISA /9640

  7.036  RSLT         =
  7.037  RSLT         =4 GHz
  7.038  MATH         @Freq = 4E+9
  7.039  CALL         Sub MS2721B HF Response Tests VISA /9640

  7.040  9640         Reset
  7.041  VISA         SYST:PRES
  7.042  HEAD
  7.043  END
